summaryrefslogtreecommitdiffstats
path: root/.gitlab/ci/docker/fedora34/install_rvm.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab/ci/docker/fedora34/install_rvm.sh')
-rwxr-xr-x.gitlab/ci/docker/fedora34/install_rvm.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.gitlab/ci/docker/fedora34/install_rvm.sh b/.gitlab/ci/docker/fedora34/install_rvm.sh
new file mode 100755
index 0000000..6d4fa97
--- /dev/null
+++ b/.gitlab/ci/docker/fedora34/install_rvm.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+gpg2 --keyserver hkp://pool.sks-keyservers.net \
+ --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 \
+ 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
+
+dnf install --setopt=install_weak_deps=False -y \
+ findutils \
+ procps \
+ which
+
+curl -sSL https://get.rvm.io | bash -s stable
+
+# This is intentionally an older version.
+# If updating, the associated `env_fedora*_makefiles.cmake` file needs updated
+# as well.
+/usr/local/rvm/bin/rvm install ruby-2.7.0
+
+tar -C /usr/local -cf /root/rvm.tar rvm